report_save

Body Params
string
required

Name for the report. <255 characters.

int32
required

ID for the report type to be used to generate the report. Each report includes a definition of available fields, metrics, and filters. A list of valid reports can be retrieved by make a request to /view with "view_name":"reports"

request_details
object
required

JSON description of the requested report.

string

Format to return the report. Valid values include: none,json,csv,xls,xlsx. If not specified or set to none the report results will be returned by the API in the json response and the report will be limited to 1500 rows. If any format is specified other than none the report row limit is 15,000, and the resulting report will be saved for retrieval in a separate GET request.

int32
Defaults to null

The User that created this report. By default the user ID of the requesting User will be used.

string

Frequency that reports should be scheduled. Valid values include daily, weekly and monthly.

string

Email addresses, separated by commas, up to 255 characters. If the report's frequency is set and this field is not set, the requesting user's email address will be added.

string

Email addresses to cc on scheduled reports

boolean

Whether saved report is still active. If a scheduled report is set to inactive it will no longer be sent.

Response

Language
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json